package modele;

import javax.swing.JPanel;

import controleur.Controle;
import outils.connexion.Connection;

/**
 * Gestion du jeu côté client
 *
 */
public class JeuClient extends Jeu {
	
	private Connection connection;
	private boolean mursOk;
	
	/**
	 * Controleur
	 */
	
	public JeuClient(Controle control) {
		this.controle = control;
	}
	
	@Override
	public void connexion(Connection connection) {
		this.connection = connection;
	}

	@Override
	public void reception(Connection connection, Object info) {
		if(info instanceof JPanel && !mursOk) {
			controle.evenementJeuClient("mettre murs", info);
			mursOk = true;
		}else if(info instanceof JPanel && mursOk) {
			this.controle.evenementJeuClient("modif panel jeu", info);
		}
	}
	
	@Override
	public void deconnexion() {
	}

	/**
	 * Envoi d'une information vers le serveur
	 * fais appel une fois à l'envoi dans la classe Jeu
	 */
	public void envoi(String infos) {
		super.envoi(this.connection, infos);
	}

}
